This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 204453 - Thunderbird startup script not updated for the add-on based locale
Thunderbird startup script not updated for the add-on based locale
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: i18n, Patch, Regression
: 204723 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 04:44 EDT by Bastien Nocera
Modified: 2007-11-16 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0078
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-02 13:27:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
thunderbird_patch (823 bytes, patch)
2006-08-29 04:46 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-08-29 04:44:01 EDT
Same translation bug as Firefox, but for Thunderbird.

+++ This bug was initially created as a clone of Bug #202352 +++

Description of problem:

Firefox 1.5.0.5 uses a add-on based locale support. However, /usr/bin/firefox 
still expects the locale file to be located in the old filesystem layout, and 
is unable to locate any locale beside en_US. Therefore, Firefox will start up 
in en_US locale regardless of the system locale settings.

Version-Release number of selected component (if applicable):

1.5.0.5-0.el4.1

How reproducible:

Always.

Steps to Reproduce:
1. Set e.g. LANG=de_DE.UTF-8
2. Run /usr/bin/firefox
3.
  
Actual results:

Firefox starts in the US English locale, regardless of $LANG.

Expected results:

Firefox should start in the locale specified by $LANG, as long as there is an 
Firefox langauge add-on present.

Additional info:

This problem can be easily fixed by updating /usr/bin/firefox, line 142 from:

[ -f $MOZILLA_FIVE_HOME/chrome/$MOZLOCALE.jar ] && MOZARGS="-UILocale 
$MOZLOCALE"

to:

[ -f $MOZILLA_FIVE_HOME/extensions/langpack-${MOZLOCALE}@firefox.mozilla.org/
chrome/$MOZLOCALE.jar ] && MOZARGS="-UILocale $MOZLOCALE"

-- Additional comment from bnocera@redhat.com on 2006-08-24 09:17 EST --
*** Bug 202353 has been marked as a duplicate of this bug. ***

-- Additional comment from bnocera@redhat.com on 2006-08-24 09:21 EST --
This is a regression, and breaks translations for every non-English users.

-- Additional comment from pm-rhel@redhat.com on 2006-08-24 09:24 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

-- Additional comment from rkhadgar@redhat.com on 2006-08-24 09:46 EST --
[ -f $MOZILLA_FIVE_HOME/extensions/langpack-${MOZLOCALE}@firefox.mozilla.org/
chrome/$MOZLOCALE.jar ] && MOZARGS="-UILocale $MOZLOCALE"

MOZLOCALE may have values it-IT
But, language pack can be stored with prefix it  ( langpack-lt@firefox.mozilla.org )

-----------------------------------------------------------------------

why not just add MOZARGS, and let firefox seek.
With my limited testing for weird lang ( cat walked over keyboard ), firefox
defaulted to english . thus, will not adding the line below be efficient 

MOZARGS="-UILocale $MOZLOCALE"

-- Additional comment from bnocera@redhat.com on 2006-08-24 10:39 EST --
Created an attachment (id=134818)
firefox-locale-support.patch

This patch makes Firefox:
- use the language packs, rather than just the builtin locales
- support both short and long locale names (ie. both "pt", and "pt-BR" language
packs would work as expected, for example)
Comment 2 RHEL Product and Program Management 2006-08-29 04:46:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Bastien Nocera 2006-08-29 04:46:35 EDT
Created attachment 135112 [details]
thunderbird_patch

Similar patch to the Firefox one, adapted to Thunderbird by Ritesh Khadgaray
<rkhadgar@redhat.com>
Comment 4 Jay Turner 2006-08-31 08:06:57 EDT
QE ack for 4.5.
Comment 7 Christopher Aillon 2006-09-01 00:31:24 EDT
*** Bug 204723 has been marked as a duplicate of this bug. ***
Comment 9 Christopher Aillon 2007-01-19 15:03:08 EST
thunderbird-1.5.0.9-0.2.el4
Comment 13 Red Hat Bugzilla 2007-03-02 13:27:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0078.html

Note You need to log in before you can comment on or make changes to this bug.